#pragma once
#include <QObject>
class CleanWorkThread : public QObject
{
	Q_OBJECT
public:
	CleanWorkThread(QObject* parent = nullptr);
	~CleanWorkThread();
public slots:
	void startWork();
	void startWorkAuto();
	void doWork();
	void setSelAuto();
	void setSel();
signals:
	void workFinished();
	void workStart();
	void workStartAuto();
public:
	qint64 DirFileSize(const QString& path);
	void CleanImageFile(const QString& path, const qint64& delDays);
private:
	int delSelection;
};
